{{ define "main" -}}

  {{ $year := .File.ContentBaseName -}}
  {{ $canton_short := .CurrentSection.File.ContentBaseName -}}
  {{ $canton := print "canton_" $canton_short | i18n -}}
  {{ $canton_title := print (i18n "canton_of") " " $canton -}}
<section class="page-title bg-2" style="{{ partial "bg-img.html" (print "images/cantons/flag_" $canton_short ".svg") | safeCSS }}">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <div class="block">
          <h1>{{ $canton_title | strings.FirstUpper }}</h1>
        </div>
      </div>
    </div>
  </div>
</section>

<section class="section">
  <div class="container">

  {{/* YEAR SELECTOR */ -}}
  {{ $link_prev := "" -}}
  {{ with .NextInSection }}{{ $link_prev = .Permalink }}{{ end -}}
  {{ $link_next := "" -}}
  {{ with .PrevInSection }}{{ $link_next = .Permalink }}{{ end -}}
    <div class="row">
      <div class="col-md-12">
        <div class="canton-year-selector">
          {{ with $link_prev }}<a href="{{ . }}">{{ end }}<i class="ion-chevron-left"></i>{{ with $link_prev }}</a>{{ end }}
          <span class="canton-year">{{ $year }}</span>
          {{ with $link_next }}<a href="{{ . }}">{{ end }}<i class="ion-chevron-right"></i>{{ with $link_next }}</a>{{ end }}
        </div>
      </div>
    </div>

  {{/* TOOLS SCORE CONTENT */ -}}
  {{ $data := index .Site.Data.generated.cantons $canton_short | default dict -}}
  {{ $data = index $data $year | default dict -}}
  {{ $data_current := index $data .Language.Lang | default dict -}}
  {{ $translated_pages := $.Translations -}}
  {{ $summary := index $data_current "summary" -}}
  {{ if (and (not $summary) $.IsTranslated) -}}
    {{ $translated_summaries := slice -}}
    {{ range $translated_pages -}}
      {{ $translated_lang_code := .Language.Lang -}}
      {{ if index $data $translated_lang_code "summary" -}}
        {{ $translated_summaries = $translated_summaries | append (print "[**" (print "lang_" $translated_lang_code | i18n) "**](" .RelPermalink ")") -}}
      {{- end }}
    {{- end }}
    {{ if $translated_summaries -}}
      {{ $summary = print "*" (i18n "cantons_no_content_1a") $year (i18n "cantons_no_content_2") $canton_title (i18n "cantons_no_content_3") (delimit $translated_summaries ", " (print " " (i18n "and") " ")) (i18n "cantons_no_content_4") "*" -}}
    {{- end }}
  {{- end }}
  {{ with $summary -}}
    <div class="row">
      <div class="col-md-3"></div>
      <div class="col-md-6">{{ . | $.Page.RenderString (dict "display" "block") }}</div>
    </div>
  {{- end }}
  {{ with (index $data_current "tools" ) -}}
    {{ $tools_md := "" -}}
    {{ range $i, $v := . -}}
      {{ with (index $v "text") -}}
        {{ $tools_md = print $tools_md "### " (i18n (print "tool_" $i)) "\n\n" . "\n\n" -}}
      {{- end }}
    {{- end }}
    {{ if (and (not $tools_md) $.IsTranslated) -}}
      {{ $translated_tool_texts := slice -}}
      {{ range $translated_pages -}}
        {{ $translated_lang_code := .Language.Lang -}}
        {{/* NOTE: we only check whether the first tool text has been translated */ -}}
        {{ if index $data $translated_lang_code "tools" "1" "text" -}}
          {{ $translated_tool_texts = $translated_tool_texts | append (print "[**" (print "lang_" $translated_lang_code | i18n) "**](" .RelPermalink "#tools-score)") -}}
        {{- end }}
      {{- end }}
      {{ if $translated_tool_texts -}}
        {{ $tools_md = print "*" (i18n "cantons_no_content_1b") $year (i18n "cantons_no_content_2") $canton_title (i18n "cantons_no_content_3") (delimit $translated_tool_texts ", " (print " " (i18n "and") " ")) (i18n "cantons_no_content_4") "*" -}}
      {{- end }}
    {{- end }}
    {{ $tools_score := partial (print "tools_score/" $canton_short "_" $year "." $.Language.Lang ".html") . -}}
    {{ $canton_selector := "" -}}
    {{ with $.Parent.Parent -}}
      {{ range .Pages -}}
        {{ $current_canton_short := .File.ContentBaseName -}}
        {{/* NOTE: we need to limit to same-year only */ -}}
        {{ $current_permalink := "" }}
        {{ range .RegularPages -}}
          {{ if (eq .File.ContentBaseName $year) }}{{ $current_permalink = .Permalink }}{{ end -}}
        {{- end }}
        {{ with $current_permalink -}}
          {{ $current_canton_name := print "canton_" $current_canton_short | i18n -}}
          {{ $current_class := "emblem-canton-selector" -}}
          {{ if ne $canton_short $current_canton_short }}{{ $current_class = print $current_class " inactive" }}{{ end -}}
          {{ $current_img_src := $current_canton_short | printf "src=\"/images/cantons/emblem_%s.svg\"" -}}
          {{ $current_img_alt := print "alt=\"" (i18n "canton_of" | strings.FirstUpper) " " $current_canton_name "\"" -}}
          {{ $canton_selector = print $canton_selector "<a class=\"" $current_class  "\" href=\"" (print $current_permalink "#tools-score") "\" data-hover=\"" $current_canton_name "\"><img " $current_img_src $current_img_alt "></a>" -}}
        {{- end }}
      {{- end }}
    {{- end }}
    {{/* NOTE: This is a hack in order to have overall footnotes */ -}}
    {{/*       principle: 1) wrap the main MD content and the tools score MD content in the desired HTML blocks, **but leaving the last two div tags open** */ -}}
    {{/*                  2) render Markdown to HTML */ -}}
    {{/*                  3) add the last two div tags and print as safeHTML */ -}}
    {{ $rendered_content := print "<div class=\"row\"><div class=\"col-md-3\"></div><div class=\"col-md-6\">\n\n" $.RawContent "</div></div><div class=\"row\"><div class=\"col-md-12\" id=\"tools-score\">" $tools_score "</div></div><div class=\"row canton-selector\"><div class=\"col-md-12\">" $canton_selector "</div></div><div class=\"row\"><div class=\"col-md-3\"></div><div class=\"col-md-6\">\n\n" $tools_md "</div></div><div class=\"row\"><div class=\"col-md-3\"></div><div class=\"col-md-6\">" | $.Page.RenderString (dict "display" "block") -}}
    {{ print $rendered_content "</div></div>" | safeHTML }}
  {{- end }}

  {{/* TOOLS SCORE FOOTER */ -}}
    <div class="row">
      <div class="col-md-3"></div>
      <div class="col-md-6">
        <hr/>
        <p id="cantons-research-state" class="footline">{{ i18n "cantons_research_state" }} {{ index $data_current "last_updated" | default (time "1970-01-01") | time.Format ":date_long" }}</p>
        <p id="cantons-contact-us" class="footline">
          {{- markdownify (print (i18n "cantons_contact_us") (relLangURL "contact/?") (querify "subject" (print (i18n "cantons_contact_subject") " " $canton_title)) ").") }}
        </p>
      </div>
    </div>
  </div>
</section>

{{- end }}
